﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using PuferFishContracts.DataModels;

namespace PuferFishContracts.BusinessLogicsContracts;

public interface IWorkerBusinessLogicContract
{
    List<WorkerDataModel> GetAllWorkers(bool onlyActive = true);
    List<WorkerDataModel> GetAllWorkersByPost(string postId, bool onlyActive = true);
    List<WorkerDataModel> GetAllWorkersByBirthDate(DateTime fromDate, DateTime toDate, bool onlyActive = true);
    List<WorkerDataModel> GetAllWorkersByEmploymentDate(DateTime fromDate, DateTime toDate, bool onlyActive = true);
    WorkerDataModel GetWorkerByData(string data);
    void InsertWorker(WorkerDataModel workerDataModel);
    void UpdateWorker(WorkerDataModel workerDataModel);
    void DeleteWorker(string id);
}
